
/* services starts */
.service {
  max-width: 1400px;
  width: 100%;
  height: auto;
  margin: 0 auto;
  scroll-margin-top: 50px;
  direction: rtl;
}


.service .service-title{
  text-align: center;
  padding: 80px 0;
}

.service-items {
  display: grid;
  grid-template-columns: repeat(3, 255px);
  gap: 90px 75px;
  padding: 20px 0;
  margin-top: 10px;
  place-items: center;
  place-content: center;
}

.service-card {
  width: 250px;
  height: 300px;
  background-color: #FFFFFFFF;
  border-radius: 20px;
  text-align: center;
  padding: 55px 10px 0 10px;
  position: relative;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 14px 28px, rgba(0, 0, 0, 0.22) 0px 10px 10px;
}

.service-card-top-shape {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  width: 130px;
  height: 75px;
  font-size: 22px;
  color: #FFFFFFFF;;
  border-bottom-right-radius: 20px;
  border-bottom-left-radius: 20px;
  background-color: #98CA3D;
  position: absolute;
  top: -30px;
  left: 0;
  right: 0;
}

.service-card-top-shape h4{
  font-size: 18px;
}


.service-card-top-right-shape,
.service-card-top-left-shape {
  width: 30px; /* Add a fixed width */
  height: 30px; /* Add a fixed height */
}

.service-card-top-right-shape {
  position: absolute;
  top: 0;
  right: -30px;
  border-top: 30px solid transparent;
  border-left: 30px solid #698734;
}

.service-card-top-left-shape {
  position: absolute;
  top: 0;
  left: -30px;
  border-top: 30px solid transparent;
  border-right: 30px solid #698734;
}

.service-card-bottom-shape {
  width: 100px;
  height: 10px;
  overflow: hidden;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 0);
}

.service-card-bottom-shape-inner {
  width: 100%;
  height: 20px;
  border-radius: 10px;
  background-color: #4ec6de;
}

.service-card .service-icon {
  margin: 0 auto;
  color: #4ec6de;
  font-size: 60px;
  display: flex;
  justify-content: center;
  padding: 15px 0;
}
.service-item .service-description{
  padding-top: 10px;
  font-size: 14px;
  color: #707070;
  text-align: center;
}

@media screen and (max-width: 992px) {
  .service-items {
    grid-template-columns: repeat(auto-fit, 255px);
  }
}


@media screen and (max-width: 520px) {
  .service .service-title h1{
    font-size: 1.8em;
  }

  .service-card {
    width: 300px;
    height: 360px;
    padding-top: 70px;
  }

  .service-card .service-icon {
    padding: 20px 5px;
    font-size: 70px;
  }
  .service-item .service-description{
    font-size: 15px;
  }

}


.commitment{
  direction: rtl;
}
.commitment .commitment-heading{
  text-align: center;
  padding: 80px 0;
}

.service-benefits {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* Creates two equal columns */
  gap: 30px; /* Space between grid items */
  max-width: 900px; /* Optional: setting a max-width for the container */
  margin: 0 auto; /* Centers the container */
}

.benefit-item {
  text-align: center;
  background-color: #ffffff; /* White background for the description container */
  border-radius: 8px; /* Rounded corners for a softer look */
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1); /* Subtle shadow for depth */
  border: 1px solid #98ca3d;
  border-bottom: 30px solid #98ca3d;
  height: 320px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
  cursor: pointer;
}


.benefit-item i {
  font-size: 60px;
  margin-bottom: 10px;
  color: #4ec6de;
  width: 100px;
  padding: 10px;
  display: block;

}

@media (max-width: 920px) {
  .service-benefits {
    grid-template-columns: repeat(2, 1fr); /* Creates two equal columns */
    padding: 0 20px;
  }

}



/* Responsive adjustments */
@media (max-width: 520px) {

  .service-benefits {
    grid-template-columns: 1fr; /* Stacks items in a single column */
    max-width: 300px;
    padding: 0;
  }

  .commitment .commitment-heading{
    font-size: 1.8em;
  }

}


/* Start Customer Overview*/

.customer-outlook-container{
  max-width: 1400px;
  width: 95%;
  height: auto;
  margin: 20px auto;
  scroll-margin-top: 100px;
}
.customer-outlook-container .overlook-title h1{
  text-align: center;
  padding: 80px 0;
}

.customer-outlook {
  position: relative;
  max-width: 980px;
  user-select: none;
  margin: 0 auto 0;
}

.customer-outlook-slider{
  height: 350px;
  margin: 0 50px;
  border-radius: 25px;
}

.customer-outlook-slider-prev::after,
.customer-outlook-slider-next::after {
  font-size: 14px;
}

.customer-outlook-slider-next {
  right:  0px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: #4ec6de;
  background-color: #ffffff;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.customer-outlook-slider-prev {
  left: 0px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: #4ec6de;
  background-color: #ffffff;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.customer-outlook-slider-prev:active, .customer-outlook-slider-next:active{
  opacity: 0.8;
}

.customer-outlook-card {
  border-radius: 25px;
  border: 1px solid #98ca3d;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}


.customer-outlook-card .card-image-content{
  height: 38%;
}

.customer-outlook-card .customer-outlook-card-content{
  height: 60%;
  padding-top: 50px;
}

.customer-outlook-card .card-image-content,
.customer-outlook-card .customer-outlook-card-content {
  text-align: center;
  margin: 0 auto;
}


.customer-outlook-card .card-image-content {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}


.customer-outlook-card .card-image-content-overlay {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: #4ec6de;
  border-radius: 25px;
}


.customer-outlook-card .card-image {
  height: 120px;
  width: 120px;
  border-radius: 50%;
  background-color: #FFFFFF;
  padding: 3px;
  position: absolute;
  bottom: -45px;
  z-index: 1;
}

.customer-outlook-card .card-image .card-img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 50%;
}

.customer-outlook-card-content {
  padding: 20px 5px;
}

.customer-outlook-card-content .name {
  font-size: 16px;
  font-weight: 600;
  color: #333;
  padding: 5px 0;
}

.customer-outlook-card-content .description {
  direction: rtl;
  font-size: 14px;
  line-height: 1.8;
  text-align: center;
}

/* Responsive adjustments */
@media scren and (max-width: 520px) {
  .customer-outlook-container .overlook-title h1{
    font-size: 1.8em;
  }

  .customer-outlook-slider{
    height: 400px;
    margin: 0 40px;
    padding: 0 8px;
  }

  .customer-outlook-slider-next {
    right: 0;
    width: 35px;
    height: 35px;
  }

  .customer-outlook-slider-prev {
    left: 0;
    width: 35px;
    height: 35px;
    border-radius: 50%;
  }

}


/* End Customer Overview*/

.contact-section {
  direction: rtl;
  width: 100%;
  scroll-margin-top: 50px;
  max-width: 900px;
  width: 100%;
  margin: 0 auto;
  height: auto;

}

.contact-section .contact-title{
  padding: 80px 0;
  text-align: center;
}

.contact-us {
  padding: 0 30px;
}

.contact-us-row {
  display: flex;
  column-gap: 20px;
}

.contact-us-row div {
  width: 100%;
}

.contact-us .input-group-full-name, .contact-us .input-group-phone-number{
  padding-bottom: 20px;
}

.contact-us .input-group-message{
  padding-bottom: 5px;
}

.contact-us label {
  display: block;
  font-size: 14px;
  padding: 5px 0;
}

.contact-us #full-name,
.contact-us #phone-number {
  width: 100%;
  padding: 12px 20px;
  outline: none;
  background-color: white;
  border: 1px solid #DCDCDCFF;
  border-radius: 0.25em;
  text-align: right;
}

.contact-us #message {
  width: 100%;
  height: 200px;
  padding: 12px 20px;
  background-color: white;
  resize: none;
  border: 1px solid gainsboro;
  outline: none;
  border-radius: 0.25em;
}

.contact-us #full-name:focus,
.contact-us #phone-number:focus,
.contact-us #message:focus {
  border-color: #4ec6de;
}

.contact-us .customer-operation {
  text-align: left;
}


.customer-operation button {
  border: 1px transparent;
  padding: 0.5rem 1rem;
  transition: all .1s cubic-bezier(.4, 0, .2, 1);
  user-select: none;
  background-color:  #4ec6de;
  border-radius: 0.25em;
  color: #fff;
  cursor: pointer;
  font-size: 14px;
}

.customer-operation button:hover {
  opacity: 0.9;
}



@media screen and (max-width: 768px){
  .contact-us-row{
    flex-direction: column;
  }
}


@media (max-width: 520px) {
  .contact-title h1 {
    font-size: 1.8em;
  }
  .contact-us #full-name,
  .contact-us #phone-number {
    padding: 16px 20px;
  }
}



.company-slider-container{
  max-width: 1400px;
  width: 100%;
  margin: 120px auto 0px;
}
.company-swiper {
  max-width: 100%;
  height: 150px;
  padding: 0 10px;
}

@media screen and (max-width: 768px){
  .company-swiper {
    margin-top: 0px;
    max-width: 100%;
    height: 150px;
    padding: 0 10px;
  }
}

.company-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;

}
.company-slide img {
  display: block;
  width: 70%;
  height: 70%;
  object-fit: contain;
}



.message-alert{
  direction: rtl;
  display: none;
  width: 360px;
  text-align: center;
  max-width: 90%;
  border-radius: 3px;
  color: white;
  background-color: #000000;
  position: fixed;
  bottom: -100px; /* Start below the viewport */
  left: 60px;
  z-index: 100;
  animation: messageAlertAnimationShow  0.6s forwards;  /* Add animation */
}


.message-alert p {
  font-size: 12px;
  padding: 12px; /* Adjusted padding */
}


@keyframes messageAlertAnimationShow  {
  0% {
    bottom: -100px; /* Start position */
    opacity: 0; /* Start transparent */
  }
  100% {
    bottom: 30px; /* End position */
    opacity: 1; /* End opaque */
  }
}

@media screen and (max-width: 560px) {
  .message-alert {
    left: 50%;
    transform: translate(-50%, 0); /* Center on smaller screens */
  }
}
